# -*- coding: utf-8 -*-

from mod.common.mod import Mod
import mod.client.extraClientApi as clientApi
import mod.server.extraServerApi as serverApi

@Mod.Binding(name="FlumeRide", version="0.0.1")
class FlumeRide(object):

    def __init__(self):
        pass

    @Mod.InitServer()
    def FlumeRideServerInit(self):
        serverApi.RegisterSystem("FlumeRide", "FlumeRideServerSystem", "Script_FlumeRide.FlumeRideServerSystem.FlumeRideServerSystem")

    @Mod.DestroyServer()
    def FlumeRideServerDestroy(self):
        pass

    @Mod.InitClient()
    def FlumeRideClientInit(self):
        clientApi.RegisterSystem("FlumeRide", "FlumeRideClientSystem", "Script_FlumeRide.FlumeRideClientSystem.FlumeRideClientSystem")

    @Mod.DestroyClient()
    def FlumeRideClientDestroy(self):
        pass
