# -*- coding: utf-8 -*-
import mod.client.extraClientApi as clientApi
ViewBinder = clientApi.GetViewBinderCls()
ViewRequest = clientApi.GetViewViewRequestCls()
ScreenNode = clientApi.GetScreenNodeCls()
timerComp = clientApi.GetEngineCompFactory().CreateGame(clientApi.GetLevelId())

class FlumeRideInfoUI(ScreenNode):
	def __init__(self, namespace, name, param):
		ScreenNode.__init__(self, namespace, name, param)
		self.clientSystem = clientApi.GetSystem("FlumeRide", "FlumeRideClientSystem")

	@ViewBinder.binding(ViewBinder.BF_ButtonClickUp)
	def ClickedCloseButton(self, args):
		clientApi.PopScreen()

	@ViewBinder.binding(ViewBinder.BF_ButtonClickUp)
	def ClickedPageTurnButton(self, args):
		GameBook1UI = clientApi.GetUI("FlumeRide", "FlumeRideGameBook_1")
		GameBook2UI = clientApi.GetUI("FlumeRide", "FlumeRideGameBook_2")
		if GameBook1UI:
			clientApi.PopScreen()
			clientApi.PushScreen("FlumeRide", "FlumeRideGameBook_2")
		elif GameBook2UI:
			clientApi.PopScreen()
			clientApi.PushScreen("FlumeRide", "FlumeRideGameBook_1")
